




function addListener(element, baseName, handler) {
    if (element.addEventListener)
        element.addEventListener(baseName, handler, false);
    else if (element.attachEvent)
        element.attachEvent('on' + baseName, handler);
} // addListener

function afficheButtons() {
	addListener(document.getElementById('btnShow'), 'click', function() {
		affiche();
	});
} // bindButtons



addListener(window, 'load', afficheButtons);



function affiche() {
	var titre = document.createElement("h1");
	var newText = document.createTextNode("agenda");
	titre.appendChild(newText);
	document.body.appendChild(titre);


  	var table = document.createElement("table");   
  	var tbody = document.createElement("tbody");  
	table.appendChild(tbody);
  	for (var i = 0; i < 7; i++) {
   	var tr = document.createElement("tr");
	for (var j=0; j < 7; j++) {
  		var td = document.createElement("td");
      	var newText = document.createTextNode(calendrier.pop());
      	td.appendChild(newText);
      	tr.appendChild(td);
    	}
    	tbody.appendChild(tr);
  	}
  	document.body.appendChild(table);

// supression du bouton 


    document.body.removeChild(document.getElementById("form"));


}

